Commit 8ac9e529 authored by Daniel Hackney's avatar Daniel Hackney Committed by Chong Yidong

Fix oversight in package-load-list handling.

* lisp/emacs-lisp/package.el (package-compute-transaction): Handle
holding a package version to t in package-load-list.
parent 530739c9
2012-02-27 Daniel Hackney <dan@haxney.org> (tiny change)
* emacs-lisp/package.el (package-compute-transaction): Handle
holding a package version to t in package-load-list.
2012-02-26 Michael Albinus <michael.albinus@gmx.de>
* net/tramp.el (tramp-inodes, tramp-devices): Initialize with 0.
......
......@@ -750,7 +750,8 @@ not included in this list."
hold)
(when (setq hold (assq next-pkg package-load-list))
(setq hold (cadr hold))
(cond ((eq hold nil)
(cond ((eq hold t))
((eq hold nil)
(error "Required package '%s' is disabled"
(symbol-name next-pkg)))
((null (stringp hold))
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment